'use client';

import { JSX } from 'solid-js/jsx-runtime';

interface ButtonProps {
  children: JSX.Element;
  className?: string;
  appName: string;
}

export const Button = (props: ButtonProps) => {
  return (
    <button
      class={props.className}
      onClick={() => window.alert(`Hello from your ${props.appName} app!`)}
    >
      {props.children}
    </button>
  );
};
